SMLSHARP(1)

NAME
shlsharp - Standard ML compiler with practical extensions

SYNOPSIS
smlsharp [options] file ...

DESCRIPTION
SML# is a new programming language in the Standard ML family being developed at RIEC (Research Institute of Electrical Communication), Tohoku University. Its design goal is to provide practically important extensions while maintaining the compatibility of the Definition of Standard ML.

OPTIONS:

\--help
    print this message

\-v verbose mode

\-o <file>
    place the output to <file>

\-c compile only; do not assemble and link

\-S compile and assemble; do not link

\-M make dependency for compile

\-MM
    make dependency for compile but ignore system files

\-Ml
    make dependency for link

\-MMl
    make dependency for link but ignore system files

\-fsyntax-only
    check for syntax errors, and exit

\-ftypecheck-only
    check for type errors, and exit

\-fprint-main-ids
    print main entry identifiers, and exit

\-I <dir>
    add <dir> to file search path

\-L <dir>
    add <dir> to library path of the linker

\-l <libname>
    link with <libname> to create an executable file

\-Wl,<args>
    pass comma-separated <args> to the linker

\-Wa,<args>
    pass comma-separated <args> to the assembler

\-target=<target>
    set target platform to <target>

\-nostdpath
    no standard file search path is used

\-d <key>=<value>
    set extra option for compiler developers.

AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@debian.org> for the Debian GNU/Linux system (but may be used by others).